This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 22187 - Tcl/Tk build env doesn't work well with auto build environment
Tcl/Tk build env doesn't work well with auto build environment
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Aaron Brown
:
: 42630 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-12 17:54 EST by Shane Kennedy
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-28 10:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example of problem (83 bytes, text/plain)
2001-02-20 06:53 EST, Shane Kennedy
no flags Details
detailed explanation and a way to solve it... (1.47 KB, text/html)
2001-03-08 08:52 EST, Anne Possoz
no flags Details
Why we need a fix: additional privs exploit for mkpasswd / /var/tmp - trivial... (1.15 KB, patch)
2001-03-26 08:01 EST, Need Real Name
no flags Details | Diff
Quick fix bug #28224 (366 bytes, patch)
2001-04-02 05:42 EDT, Need Real Name
no flags Details | Diff

  None (edit)
Description Shane Kennedy 2000-12-12 17:54:05 EST
Tcl/Tk supplied with RH7, does not support the -mode option with 
fconfigure.  Neither do the supplied libraries.  Libraries (exactly which 
one) supplied with RH6.1 are O.K. for compile.
Comment 1 Eido Inoue 2001-02-07 23:38:58 EST
Are you referring to the

fconfigure -translation mode

where mode is for setting the lf/cr raw/cooked aspects?
Comment 2 Shane Kennedy 2001-02-20 06:53:44 EST
Created attachment 10460 [details]
example of problem
Comment 3 Anne Possoz 2001-03-08 08:52:50 EST
Created attachment 12083 [details]
detailed explanation and a way to solve it...
Comment 4 Shane Kennedy 2001-03-08 09:02:57 EST
Thanks for the fix.  It will save much tim on next system build.
Comment 5 Need Real Name 2001-03-08 11:45:19 EST
The reason is that Tcl's configure script doesn't detect the systems I/O API
(termios, termio or sgtty)
if configure's stdin isn't a tty. I guess that Red Hat build the distributions
packages for their distributions in an automated environment where stdin is a
pipe or /dev/null. Therefore the correct API can't be detected and the option
-mode isn't compiled in. When someone rebuilds the package by hand, stdin is a
tty and everything works.

The solution is a patch against unix/tcl.m4 I submitted to the Tcl patch manager
at SourceForge. It makes configure detect the API even when stdin is no tty.

The patch has not yet been accepted by the Tcl maintainers.
Comment 6 Eido Inoue 2001-03-14 05:52:04 EST
*** Bug 28224 has been marked as a duplicate of this bug. ***
Comment 7 Eido Inoue 2001-03-14 05:54:10 EST
build scripts need to be patched so /var/tmp doesn't get pulled into the paths
and stdin is recognized to be a tty
Comment 8 Need Real Name 2001-03-26 08:01:49 EST
Created attachment 13665 [details]
Why we need a fix: additional privs exploit for mkpasswd / /var/tmp - trivial...
Comment 9 Need Real Name 2001-03-29 03:38:23 EST
Why have these bugs been marked as duplicates?
Though both are related to Tcl/Tk and the buildsystem, they cover totally
different areas.
There is already a patch that fixes this one and I am working on a fix for
#28224 that doesn not depend on changes in the build system.
Comment 10 Need Real Name 2001-04-02 05:42:44 EDT
Created attachment 14424 [details]
Quick fix bug #28224
Comment 11 Eido Inoue 2001-06-28 10:35:57 EDT
*** Bug 42630 has been marked as a duplicate of this bug. ***
Comment 12 Eido Inoue 2001-07-24 11:39:31 EDT
fixed in release 60.
Comment 13 Mark J. Cox (Product Security) 2002-08-12 15:38:50 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-148.html

Note You need to log in before you can comment on or make changes to this bug.